Subject: bug#3229: 23.0.93; ediff-directories isn't buffer coding system independent

From: Stefan Monnier <[email-masked]>
Date: Wed, 06 May 2009 10:29:02 -0400

> I have two files with the same name (extracted from two svn
> repositories) one of which has a coding system of undecided-dos, the
> other is undecided-unix.

> WHen I perform an ediff-buffers between the two files loaded into
> emacs I get - correctly - zero reported differences. However if I look
> at the differences using ediff-directories I get a single difference
> region consisting of the whole file.

Presumably you'll get the same "one big hunk diff" if you use
ediff-files.  Both ediff-files and ediff-directories work (as the name
implies) on files (and directories), not on buffers.  While the two
buffers show similar (or even identical) contents, the corresponding
files are different (contain different byte sequences because of the
different coding-system).

        Stefan